<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.sambath.klaklouk_main.screen.main.cflive.currentbets.CurrentBetsFragment"
    android:background="@android:color/black"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/con_header"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_one"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.12" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_two"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.42" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_three"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.58" />

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline_four"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.90" />

        <TextView
            android:id="@+id/label_fight_no"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="Fight#"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/guideline_one"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/label_time"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="Time"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/guideline_two"
            app:layout_constraintStart_toStartOf="@+id/guideline_one"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/label_type"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center_vertical|start"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="Type"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/guideline_three"
            app:layout_constraintStart_toEndOf="@+id/guideline_two"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/label_amount"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.1"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="Amount"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/guideline_four"
            app:layout_constraintStart_toStartOf="@+id/guideline_three"
            app:layout_constraintTop_toTopOf="parent" />
        <TextView
            android:id="@+id/label_print"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.1"
            android:gravity="center"
            android:paddingTop="4dp"
            android:paddingBottom="4dp"
            android:text="Print"
            android:textColor="@android:color/white"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/guideline_four"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/color_gray_300"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/con_header" />
    <ProgressBar
        android:id="@+id/progressCurrentBets"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:indeterminateTint="@color/color_highlight"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />
    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_current_bet"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingBottom="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/line"
        tools:listitem="@layout/current_bets_item" />
</androidx.constraintlayout.widget.ConstraintLayout>